/**
 * Merge from b into a.
 * When *a* and *b* are arrays of values only the none duplicates are appendend to *a*.
 * @param {any} a
 * @param {any} b
 * @return {any} merged b into a
 */
export function merge(a: any, b: any): any;
/**
 * Config providing service.
 * Dispatches config requests to services.
 * Also preserves them until a maching service becomes avaliable.
 * @property {Map<string,Object>} preservedConfigs values for services not already established
 */
export class ServiceConfig extends Service {
    preservedConfigs: Map<any, any>;
    /**
     * Deliver configuration for a given service.
     * @param {string} name service name
     * @param {Object} config
     */
    configFor(name: string, config: any): Promise<any>;
    /**
     * Forget about preserved config of a service.
     * @param {string} name service name
     */
    clearPreserved(name: string): void;
    /**
     * Set config entry.
     * @param {string} key path to the value
     * @param {any} value
     */
    configureValue(key: string, value: any): Promise<void>;
    /**
     *
     * @param {Array|Object} config
     */
    configure(config: any[] | any): Promise<void>;
}
import { Service } from "./service.mjs";
